#!/usr/bin/env gnuplot -c
# == DEFINICIONS ==
outputfile = '../output/12_3_3' # Nom de la imatge resultant (sense extensió)
datafile = '../data/12_3_3.dat' # Nom del fitxer de dades que es vol usar

# == CONFIGURACIÓ DE L'OUTPUT PEL LATEX ==
set terminal cairolatex size 10cm, 7.5cm font ",10"
set output outputfile.'.tex'

# == CONFIGURACIÓ DEL PLOT ==
set xlabel 't $(\si{\micro\second})$'
set ylabel 'V $(\si{\volt})$'

# Opcions per la llegenda:
set key above
set key spacing 1.5
set key font ",8.5"

set logscale xy

plot datafile u 1:2 t "Dades experimentals" w p

# == CONFIGURACIÓ DE L'OUTPUT PER SVG ==
# Això ho uso per generar també una imatge de previsualització que puc carregar
# a l'ordinador per veure més o menys com a sortit el plot sense haver
# d'inserir-ho al LaTeX per veure-ho.
set terminal svg dashed size 600, 600 font "Computer Modern,Tinos,Helvetica,15"
set output outputfile.'.svg'
replot
